IAcSmSubset


The Sheet Subset component interface.

available methods :

(setq cad (vlax-get-acad-object))
(setq doc (vla-get-ActiveDocument cad))
(setq ssmgr (vla-GetInterfaceObject cad "BricscadSm.AcSmSheetSetMgr"))
(setq smdb (vlax-invoke-method ssmgr 'OpenDatabase dstfile))
(setq sheetset (vlax-invoke-method smdb 'GetSheetSet))

GetNewSheetLocation

returns the IAcSmFileReference that refers to the folder where new sheets will be created

(setq fileref (vlax-invoke-method sheetset 'GetNewSheetLocation))

HRESULT GetNewSheetLocation ([out, retval] IAcSmFileReference** ppFileRef)

SetNewSheetLocation

defines the IAcSmFileReference that refers to the folder where new sheets will be created

(vlax-invoke-method sheetset 'SetNewSheetLocation fileref)

HRESULT SetNewSheetLocation ([in] IAcSmFileReference* pFileRef)

GetDefDwtLayout

returns the IAcSmAcDbLayoutReference that refers to the AcDbLayout used as a template for new sheet creation

(setq layoutref (vlax-invoke-method sheetset 'GetDefDwtLayout))

HRESULT GetDefDwtLayout ([out, retval] IAcSmAcDbLayoutReference** ppLayoutRef)

SetDefDwtLayout

defines the IAcSmAcDbLayoutReference that refers to the AcDbLayout to be used as a template for new sheet creation

(vlax-invoke-method sheetset 'SetDefDwtLayout layoutref)

HRESULT SetDefDwtLayout ([in] IAcSmAcDbLayoutReference* pLayoutRef)

GetPromptForDwt

returns the boolean flag indicating whether the application should prompt for DWT file

(setq res (vlax-invoke-method sheetset 'GetPromptForDwt))

HRESULT GetPromptForDwt ([out, retval] VARIANT_BOOL* askForDwt)

SetPromptForDwt

defines whether the application should prompt for DWT file

(vlax-invoke-method sheetset 'SetPromptForDwt :vlax-true)

HRESULT SetPromptForDwt ([in] VARIANT_BOOL askForDwt)

GetSheetEnumerator

returns an enumerator of all components contained in this subset (sorted)

(setq iter (vlax-invoke-method sheetset 'GetSheetEnumerator))

HRESULT GetSheetEnumerator ([out, retval] IAcSmEnumComponent** enumerator)

AddNewSheet

constructs a new sheet component; the new sheet is NOT automatically inserted into this collection

(setq newsheet (vlax-invoke-method sheetset 'AddNewSheet "NewSheet" "New Description"))

HRESULT AddNewSheet ([in] BSTR name, [in] BSTR desc, [out, retval] IAcSmSheet** newSheet)

InsertComponent

inserts the object before the specified component

(vlax-invoke-method sheetset 'InsertComponent newsheet sheet)

HRESULT InsertComponent ([in] IAcSmComponent* newSheet, [in] IAcSmComponent* beforeComp)

InsertComponentAfter

inserts the object after the specified component

(vlax-invoke-method sheetset 'InsertComponentAfter newsheet sheet)

HRESULT InsertComponentAfter ([in] IAcSmComponent* newSheet, [in] IAcSmComponent* afterComp)

ImportSheet

constructs a new sheet component that references the existing layout pointed by the provided IAcSmAcDbLayoutReference

(vlax-invoke-method sheetset 'ImportSheet acadLayoutRef)

HRESULT ImportSheet ([in] IAcSmAcDbLayoutReference* pLayoutRef, [out, retval] IAcSmSheet** newSheet)

RemoveSheet

removes the specified sheet component from this collection

(vlax-invoke-method sheetset 'RemoveSheet newsheet)

HRESULT RemoveSheet (IAcSmSheet* sheet)

CreateSubset

constructs a new subset component; the new subset is NOT automatically inserted into this collection

(setq subset (vlax-invoke-method sheetset 'CreateSubset "NewSubSet" "New Description"))

HRESULT CreateSubset ([in] BSTR name, [in] BSTR desc, [out, retval] IAcSmSubset** subset)

RemoveSubset

removes the specified subset component from this collection

(vlax-invoke-method sheetset 'RemoveSubset subset)

HRESULT RemoveSubset ([in] IAcSmSubset* subset)

UpdateInMemoryDwgHints

updates the hints in the open drawings that are referenced by this subset

(vlax-invoke-method sheetset 'UpdateInMemoryDwgHints)

HRESULT UpdateInMemoryDwgHints ()



©  Bricsys NV. All rights reserved.